ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitro Lisnichenko" <dlysniche...@hortonworks.com>
Subject Re: Review Request 34178: Upgrade to 2.0.1, unable to RU (can't get installed)
Date Thu, 14 May 2015 12:46:15 GMT


> On May 14, 2015, 12:42 p.m., Jonathan Hurley wrote:
> > ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertHashInvalidationListener.java,
lines 87-88
> > <https://reviews.apache.org/r/34178/diff/2/?file=959166#file959166line87>
> >
> >     Is this not doing the same thing as RequiresSession? RequiresSession is calling
AmbariLocalSessionInterceptor which invokes begin() and end() on a AmbariJpaPersistService.
> >     
> >     When you @Inject a UnitOfWork, the UnitOfWork is bound to a AmbariJpaPersistService
> >     
> >     So, this is doing the same work, no?

I expected it to do work on the higher level then DAO, but patch does not work. Just finished
verification on live cluster


- Dmitro


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/34178/#review83755
-----------------------------------------------------------


On May 14, 2015, 12:20 p.m., Dmitro Lisnichenko wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/34178/
> -----------------------------------------------------------
> 
> (Updated May 14, 2015, 12:20 p.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Jonathan Hurley, Myroslav Papirkovskyy,
and Nate Cole.
> 
> 
> Bugs: AMBARI-11116
>     https://issues.apache.org/jira/browse/AMBARI-11116
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> Manual check shows that patch does NOT fix the issue, publishing just for discussion
purposes
> 
> 1) single node cluster, Ambari 2.0.0 GA, default postgres database
> 2) HDP 2.2.0.0
> 3) all installed and green, then upgrade to Ambari 2.0.1 (build #34)
> 4) all green, registered HDP 2.2.4.2, attempted to install
> 5) that completed but ambari Versions is stuck showing "Installing..."
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertDefinitionDisabledListener.java
010526b 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertHashInvalidationListener.java
655352f 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertHostListener.java
d478bf5 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertLifecycleListener.java
780de84 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertMaintenanceModeListener.java
c54baa2 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertServiceComponentHostListener.java
92008e3 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/alerts/AlertServiceStateListener.java
fd7035d 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/upgrade/DistributeRepositoriesActionListener.java
e4b26b1 
>   ambari-server/src/main/java/org/apache/ambari/server/events/listeners/upgrade/HostVersionOutOfSyncListener.java
dcc06a7 
> 
> Diff: https://reviews.apache.org/r/34178/diff/
> 
> 
> Testing
> -------
> 
> Manual check shows that patch does NOT fix the issue, publishing just for discussion
purposes
> 
> 
> Thanks,
> 
> Dmitro Lisnichenko
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message